List Issuing Balances
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/issuing/balances \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/issuing/balances"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/issuing/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/issuing/balances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/issuing/balances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v1/issuing/balances")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/issuing/balances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"total_items": 3,
"total_pages": 1,
"data": [
{
"balance_id": "11afdae6-2dd0-453a-8437-a11f8aa10374",
"currency": "SGD",
"available_balance": "72.27",
"margin_balance": "0",
"frozen_balance": "0",
"create_time": "2025-10-11 10:54:08",
"last_trade_time": "2026-09-10 15:55:27",
"balance_status": "ACTIVE"
},
{
"balance_id": "fb095d8e-eaa1-4014-9410-a291928e301a",
"currency": "USD",
"available_balance": "11452.88",
"margin_balance": "0",
"frozen_balance": "0",
"create_time": "2025-10-11 10:54:08",
"last_trade_time": "2026-09-09 16:07:06",
"balance_status": "ACTIVE"
},
{
"balance_id": "b0020681-66a5-4afa-aabe-a5b3c4ed942c",
"currency": "XUSD",
"available_balance": "559.6",
"margin_balance": "0",
"frozen_balance": "0",
"create_time": "2026-04-07 17:48:42",
"last_trade_time": "2026-09-10 11:40:10",
"balance_status": "ACTIVE"
}
]
}Balances
List Issuing Balances
List issuing currency balances with pagination. Use Retrieve Issuing Balance to query one currency; Global Account and acquiring balances have separate APIs.
GET
/
v1
/
issuing
/
balances
List Issuing Balances
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/issuing/balances \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/issuing/balances"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/issuing/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/issuing/balances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/issuing/balances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v1/issuing/balances")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/issuing/balances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"total_items": 3,
"total_pages": 1,
"data": [
{
"balance_id": "11afdae6-2dd0-453a-8437-a11f8aa10374",
"currency": "SGD",
"available_balance": "72.27",
"margin_balance": "0",
"frozen_balance": "0",
"create_time": "2025-10-11 10:54:08",
"last_trade_time": "2026-09-10 15:55:27",
"balance_status": "ACTIVE"
},
{
"balance_id": "fb095d8e-eaa1-4014-9410-a291928e301a",
"currency": "USD",
"available_balance": "11452.88",
"margin_balance": "0",
"frozen_balance": "0",
"create_time": "2025-10-11 10:54:08",
"last_trade_time": "2026-09-09 16:07:06",
"balance_status": "ACTIVE"
},
{
"balance_id": "b0020681-66a5-4afa-aabe-a5b3c4ed942c",
"currency": "XUSD",
"available_balance": "559.6",
"margin_balance": "0",
"frozen_balance": "0",
"create_time": "2026-04-07 17:48:42",
"last_trade_time": "2026-09-10 11:40:10",
"balance_status": "ACTIVE"
}
]
}Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts endpoint. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Query Parameters
The maximum number of items to return per page. This number can be between 10 - 100, and will default to 10
Required range:
10 <= x <= 100Example:
10
The page number to retrieve. Page numbering starts at 1.
Required range:
x >= 1Example:
1

